## $Id: viewlets.py 10785 2013-11-21 16:34:06Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.browser.viewlets import (
    ShowDepartmentStudentsActionButton,
    StudentSearchActionButton,
    ExportFacultiesStudentsActionButton,
    ExportDepartmentStudentsActionButton,
    ShowCourseStudentsActionButton,
    ExportCourseStudentsActionButton,
    UpdateScoresActionButton,
    ShowCertificateStudentsActionButton,
    ExportCertificateStudentsActionButton
    )

class ShowDepartmentStudentsActionButton(ShowDepartmentStudentsActionButton):
    """ Do not 'Show students' button .
    """
    grok.name('showdepartmentstudents')
    target = ''

class StudentSearchActionButton(StudentSearchActionButton):
    grok.name('findstudents')
    target = ''

class ExportFacultiesStudentsActionButton(ExportFacultiesStudentsActionButton):
    """ 'Export student data' button for faculties.
    """
    grok.name('exportfacultystudents')
    target = ''

class ExportDepartmentStudentsActionButton(ExportDepartmentStudentsActionButton):
    """ 'Export student data' button for departments.
    """
    grok.name('exportdepartmentstudents')
    target = ''

class ShowCourseStudentsActionButton(ShowCourseStudentsActionButton):
    """ 'Show students' button in course.
    """
    grok.name('showcoursestudents')
    target = ''

class ExportCourseStudentsActionButton(ExportCourseStudentsActionButton):
    """ 'Export student data' button for courses.
    """
    grok.name('exportcoursestudents')
    target = ''

class UpdateScoresActionButton(UpdateScoresActionButton):
    """ 'Update scores' button in course.
    """
    grok.name('updatescores')
    target = ''

class ShowCertificateStudentsActionButton(ShowCertificateStudentsActionButton):
    """ 'Show students' button for certificates.
    """
    grok.name('showcertificatestudents')
    target = ''

class ExportCertificateStudentsActionButton(ExportCertificateStudentsActionButton):
    """ 'Export student data' button for certificates.
    """
    grok.name('exportcertificatestudents')
    target = ''
